
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>ใบเสร็จรับเงิน/ใบกำกับภาษี</title>
<style>
body,html{
	font-size:16px;
	font-family:"Angsana New";
}
input[type=number] {
	font-size:16px;
	font-family:"Angsana New";
	width:20px;
    border: none;
	text-align:center;
}
page {
  background: white;
  display: block;
  margin: 0 auto;
  margin-bottom: 0.5cm;
  /*box-shadow: 0 0 0.5cm rgba(0,0,0,0.5);*/
}
page[size="A4"] {  
  width: 21cm;
  height: 29.7cm; 
}
page[size="A4"][layout="landscape"] {
  width: 29.7cm;
  height: 21cm;  
}
.invoice{
	width: 97%;
	padding:10px;
}
.receipt-right{
	width: 480px;
	float:right;
	padding:10px;
}
.head{
	text-align:center;
	font-weight:800;
}
.company{
	float:left;
	
}
.address{
	float:left;
	
}
.date{
	float:right;
	
}
.tel{
	float:left;
	
}
.invoice_no{
	float:right;
	
}
.identification{
	float:left;
	
}
table { border-collapse: collapse; }
table td, table th { border: 1px solid black; padding: 2px; }
#items { clear: both; width: 100%; margin: 30px 0 0 0; border: 1px solid black; }
#items th { background: #eee; }
#items textarea { width: 80px; height: 50px; }
#items tr.item-row td { border: 1; vertical-align: top; border-bottom-color:#ffffff}
#items td.description { width: 300px; }
#items td.item-name { width: 175px; }
#items td.description textarea, #items td.item-name textarea { width: 100%; }
#items td.total-line { border-right: 0; text-align: right; }
#items td.total-value { border-left: 0; padding: 10px; }
#items td.total-value textarea { height: 20px; background: none; }
#items td.balance { background: #eee; }
#items td.blank { border: 0; }
#items tbody.rows-item {   display: block;
  overflow: auto;
  table-layout: fixed;
  max-height: 250px;}
.print {
    background-color: #16a085;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}
@media print {
  .print {
    display: none;
  }
  .invoice{
    display: none;
  }
}
</style>
</head>
<body>
<page size="A4">
    <? if(data.rowCount > 0){
        var row = data.rows;
        for(var item in row) { 
            var vat_rate = row[item].total_price*7/100;
            var vat_due = row[item].total_price-vat_rate;
            //console.log(vat_due)  
       ?>     
<div class="invoice">
<h3 class="head">ต้นฉบับใบเสร็จรับเงิน/ใบกำกับภาษี</h3>
<? if(warehouse.rowCount > 0){
    var row_wh = warehouse.rows;
    for(var item_wh in row_wh) { 
?> 
<div class="company"><strong><?= row_wh[item_wh].warehouse_name?></strong></div><br />
<div class="address">ที่อยู่ : <?= row_wh[item_wh].warehouse_address?> <?= row_wh[item_wh].warehouse_district?> <?= row_wh[item_wh].warehouse_amphoe?> <?= row_wh[item_wh].warehouse_province?> <?= row_wh[item_wh].warehouse_zipcode?></div>
<div class="date">วันที่ : 24-08-2563</div><br />
<div class="tel">โทรศัพท์ : <?= row_wh[item_wh].warehouse_phone?></div>
<div class="invoice_no">เลขที่ : 630801034</div><br />
<div class="identification">เลขประจำตัวผู้เสียภาษี : xxxxxx</div><br />
<? } }else{ ?>
    <p>ไม่มีรายละเอียด</p>
    <? } ?>
<div class="customer">
<div class="member"><strong>ลูกค้า</strong></div>
<div class="member_name">ชื่อ : <?= row[item].shipping_firstname?> <?= row[item].shipping_lastname?></div>
<div class="member_address">ที่อยู่ : <?= row[item].shipping_address?> <?= row[item].shipping_city?> <?= row[item].shipping_state?> <?= row[item].shipping_country?> <?= row[item].shipping_postcode?></div>
</div>
<table width="100%" border="0" id="items">
<tbody>
<tr>
<th width="10%" align="center">ลำดับที่ <br/>No.</th>
<th width="53%" align="center">ชื่อสินค้า/บริการ<br/>Description</th>
<th width="24%" align="center">จำนวน<br/>Quantily</th>
<th width="13%" align="center">จำนวนเงิน<br/>Amount</th>
</tr>
<tbody>
    <? if(itemorder.rowCount > 0){
        var row_oi = itemorder.rows;
        for(var item_oi in row_oi) { 
    ?>     

<tr class="item-row">
<td align="center">1</td>
<td><?= row_oi[item_oi].product_name?></td>
<td align="center"><?= row_oi[item_oi].quantity?></td>
<td align="center"><?= row_oi[item_oi].price_total?></td>
</tr>
<? } }else{ ?>
    <p>ไม่มีรายละเอียด</p>
<? } ?> 
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
</tbody>
<tr>
<td colspan="2" rowspan="3" align="center"><?= row[item].total_price?></td>
<td>มูลค่ารวมก่อนภาษี</td>
<td><?= vat_due.toFixed(2)?></td>
</tr>
<tr>
<td>ภาษีมูลค่าเพิ่ม 7%</td>
<td><?= vat_rate.toFixed(2)?></td>
</tr>
<tr>
<td>มูลค่ารวมสุทธิ</td>
<td><?= row[item].total_price?></td>
</tr>
</tbody>
</table>
<br>
<br>
<p style="border-top-width:1px;border-top-color:#000000;border-top-style:solid;width:100px;float:left;text-align:center;">ผู้ส่งสินค้า</p>
<p style="border-top-width:1px;border-top-color:#000000;border-top-style:solid;width:100px;float:right;text-align:center;">ผู้รับเงิน</p>
<br>
<br>
</div>
<? }
}else{ 
?>
<p>ไม่มีรายละเอียด</p>

<? 
} 
?> 
</page>
<script type="text/javascript" src="../../assets/js/BAHTTEXT.min.js"></script>
</body>
</html>